#################
# Test goal: Test of boundary field interpolation
# Author: Jan Stebel
# Source for reference: qualitative

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Interpolated boundary condition - small cube
  mesh:
    mesh_file: ../00_mesh/cube_1x1x1_frac21_shift.msh
  flow_equation: !Flow_Darcy_LMH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: .IMPLICIT_BOUNDARY
        bc_type: dirichlet
        bc_piezo_head: !FieldFE
          mesh_data_file: ref_out/05_interpolation_large_cube/large_cube.msh
          field_name: piezo_head_p0
          interpolation: P0_intersection
      - region: BULK
        anisotropy: 1
        sigma: 0.5
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./small_cube.pvd
      format: !vtk
        variant: ascii
